<template>
    <Catalog
    title="Маводҳои ТМТ/РМК"
    :events="events"
    :exercises="exercises"
    :categories="categories"
    :specializations="specializations"
  />
</template>

<script>
export default {
  data() {
    return {
      exercises: [],
      specializations: [],
      categories: [],
      events: [],
    };
  },
  fetchOnServer: false,
  fetch() {
    this.getExercises();
    this.getSettings();
  },
  methods: {
    getExercises() {
      this.$axios
        .$post("/exercise/getExercises", {
          type_exercise: "Маводҳо",
          access: true,
        })
        .then(({ exercises }) => {
          this.exercises = exercises;
        })
        .catch((error) => {
          console.log(error);
        });
    },
    goToExercise(exercise) {
      this.$router.push("/catalog/materials/" + exercise._id);
    },

    getSettings() {
      this.$axios
        .$get("/settings")
        .then((response) => {
          this.specializations = response.specializations_list[0].data.map(
            (e) => e.label
          );
          this.categories = response.categories_list;
          this.events = response.events_list;
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
};
</script>
